Bug 1310675 - (CVE-2016-2100) CVE-2016-2100 foreman: Unprivileged user can access private bookmarks of other users
CVE-2016-2100 foreman: Unprivileged user can access private bookmarks of othe...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150213,repor...
: Security
Depends On: 1192414
Blocks: 1310678
  Show dependency treegraph
 
Reported: 2016-02-22 08:43 EST by Adam Mariš
Modified: 2016-09-20 20:24 EDT (History)
27 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that access to private bookmarks of users is not properly restricted in Foreman. This could allow an attacker to view the search terms used in these bookmarks which should be private.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-19 15:43:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-02-22 08:43:33 EST
It was reported that users can access private bookmarks of other users via bookmark list. This discloses the search terms stored by other users that are intended to be private. Moreover, both API and UI allow a user to update/change or delete other user's bookmarks if they have general edit/destroy permissions.

Upstream bug report:

http://projects.theforeman.org/issues/13828
Comment 1 Kurt Seifried 2016-03-31 11:17:11 EDT
From Dominic Cleal:

Affects: Foreman 0.3 or higher
Fix released in Foreman 1.10.3 and Foreman 1.11.0-RC2

Patch:
https://github.com/theforeman/foreman/commit/a61344da14f73920b4bdc7ad8220e7a0ed998031

More information:
http://theforeman.org/security.html#2016-2100
http://projects.theforeman.org/issues/13828
http://theforeman.org/
Comment 2 Kurt Seifried 2016-09-19 15:43:20 EDT
This issue has been addressed in the following products:

  Red Hat Satellite 6.2

Via RHSA-2016:1500

Note You need to log in before you can comment on or make changes to this bug.